From: "Charles M. Hannum" <[email-masked]>

>My monitor recently burned out.. and i was forced to revert to an old cga
   >monitor.  When I plugged it all in. I found that I had no cursor!.  I checked
   >the monitor on a dos system.. and a cursor appears just fine (video card too)

   I don't think the code was ever written with EGA/CGA in mind.. :)

There is code in pccons.c that tries to deal with this.  Specifically:

		if (cursor_shape == 0x0000 || cursor_shape == 0xffff)
			cursor_shape = 0x0b10;

if both ports return all zeroes or all ones, then the cursor is set to
some default.

To get the old behavior, of always resetting the cursor shape on boot,
you can put `options FAT_CURSOR' in your kernel config file.
Unfortunately, this, and any other attempt to set a default shape,
depends on the number of scan lines, which varies between graphics
`standards'.

   >pcprobe: error code 4

Actually, it's:

pcprobe: reset error 4

and if your keyboard works, it's not important.